Github messages for voidlinux
 help / color / mirror / Atom feed
* [PR PATCH] workflows: fetch xbps for xlint
@ 2021-05-21 22:19 Chocimier
  2021-05-22  9:55 ` [PR PATCH] [Updated] " Chocimier
                   ` (4 more replies)
  0 siblings, 5 replies; 6+ messages in thread
From: Chocimier @ 2021-05-21 22:19 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 326 bytes --]

There is a new pull request by Chocimier against master on the void-packages repository

https://github.com/Chocimier/void-packages-org xlint-git
https://github.com/void-linux/void-packages/pull/31058

workflows: fetch xbps for xlint


A patch file from https://github.com/void-linux/void-packages/pull/31058.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-xlint-git-31058.patch --]
[-- Type: text/x-diff, Size: 1640 bytes --]

From 34660c33d98668d288cd2b35917a851dad6cd365 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Sat, 22 May 2021 00:14:56 +0200
Subject: [PATCH] workflows: fetch xbps for xlint

---
 .github/workflows/build.yaml |  1 +
 common/travis/fetch-xbps.sh  | 22 ++++++++++++++++++++++
 2 files changed, 23 insertions(+)
 create mode 100755 common/travis/fetch-xbps.sh

diff --git a/.github/workflows/build.yaml b/.github/workflows/build.yaml
index eb96a151c599..5ca5de2244d4 100644
--- a/.github/workflows/build.yaml
+++ b/.github/workflows/build.yaml
@@ -19,6 +19,7 @@ jobs:
           fetch-depth: 200
       - run: common/travis/fetch_upstream.sh
       - run: common/travis/changed_templates.sh
+      - run: common/travis/fetch-xbps.sh
       - run: common/travis/fetch-xtools.sh
       - run: common/travis/xlint.sh
       # GitHub Action create a merge commit, ignore it
diff --git a/common/travis/fetch-xbps.sh b/common/travis/fetch-xbps.sh
new file mode 100755
index 000000000000..aac9bd980006
--- /dev/null
+++ b/common/travis/fetch-xbps.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+#
+# fetch-xbps.sh
+
+command -v xbps-uhelper >/dev/null && exit
+TAR=tar
+command -v bsdtar >/dev/null && TAR=bsdtar
+VERSION=0.59_5
+URL="https://alpha.de.repo.voidlinux.org/static/xbps-static-static-${VERSION}.x86_64-musl.tar.xz"
+FILE=${URL##*/}
+
+mkdir -p /tmp/bin
+
+/bin/echo -e '\x1b[32mInstalling xbps...\x1b[0m'
+if command -v wget >/dev/null; then
+	wget -q -O "$FILE" "$URL" || exit 1
+else
+	curl -s -o "$FILE" "$URL" || exit 1
+fi
+
+$TAR xf "$FILE" -C /tmp/bin --strip-components=3 || exit 1
+rm -r /tmp/bin/xbps

^ permalink raw reply	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2021-05-27 19:18 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-05-21 22:19 [PR PATCH] workflows: fetch xbps for xlint Chocimier
2021-05-22  9:55 ` [PR PATCH] [Updated] " Chocimier
2021-05-24 20:26 ` Chocimier
2021-05-24 20:37 ` common: add lint-version-change Duncaen
2021-05-24 20:40 ` Chocimier
2021-05-27 19:18 ` [PR PATCH] [Merged]: " Chocimier

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).